View Issue Details

IDProjectCategoryView StatusLast Update
0000482SUMoNew Featurepublic2008-03-24 11:08
ReporterOrionizerAssigned ToKyle_Katarn 
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
PlatformIntel P4 3.4OSWindows XP ProOS VersionXP Pro
Product Version1.5 
Target VersionFixed in Version1.7 
Summary0000482: DLL / ActiveX support (Drag'n'drop only)
DescriptionSome products are delivered as product add-on's in the form of .DLL's.

Add support for (optional) scanning of .DLL files.
TagsNo tags attached.

Activities

Kyle_Katarn

2008-02-01 20:32

administrator   ~0000193

To be extended to ActiveX products too

Zer0 Voltage

2008-03-23 20:46

reporter   ~0000218

Last edited: 2008-03-23 20:48

I'll add a bump to this request.

One example I use is IE7Pro: http://www.ie7pro.com/

This add-on gives Internet Explorer some advanced functionality like Firefox has (in particular an in-line spell checker which is what I use it for).

But the core code component is a DLL (IEPro.dll), not an EXE - so I can't add it to the SUMo list even though the required version info tags are present in the DLL file.

Oddly enough dragging the IEPro.dll file into SUMo doesn't cause an error - it just doesn't add the program to the list.

So I suppose that in addition to adding support for DLL's, SUMo should also be made smart enough to show an error when someone attempts to use an unsupported file type that has version info tags (just like how we already get an error when someone tries to use a supported file type without the tags). Should I make that into a separate issue?

Thanks!

Kyle_Katarn

2008-03-23 20:48

administrator   ~0000219

OK, this will be supported

Issue History

Date Modified Username Field Change
2008-01-31 14:52 Orionizer New Issue
2008-02-01 20:32 Kyle_Katarn Assigned To => Kyle_Katarn
2008-02-01 20:32 Kyle_Katarn Status new => acknowledged
2008-02-01 20:32 Kyle_Katarn Note Added: 0000193
2008-03-23 20:46 Zer0 Voltage Note Added: 0000218
2008-03-23 20:48 Kyle_Katarn Note Added: 0000219
2008-03-23 20:48 Zer0 Voltage Note Edited: 0000218
2008-03-24 11:05 Kyle_Katarn Summary DLL Scan => DLL / ActiveX support (Drag'n'drop only)
2008-03-24 11:08 Kyle_Katarn Status acknowledged => resolved
2008-03-24 11:08 Kyle_Katarn Fixed in Version => 2.8.1
2008-03-24 11:08 Kyle_Katarn Resolution open => fixed